<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC

@author: christian.rodriguez

@CU CU-SA-AC-029 Generar Documento de Liquidación Costo Avalúo 

@MB GeneracionDocumentoLiquidacionCostoAvaluoMB

-->

<h:form id="generarDocLiquidacionAvaluoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsGDLCA" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Cons. Documento:" styleClass="outputLabelStyle" />
            <h:outputText value="FIXME" styleClass="outputTextStyle" />

            <h:outputText value="" />
            <h:outputText value="" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.territorial.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Código oficina:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.territorial.codigo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha oficio:" styleClass="outputLabelStyle" />
            <h:outputText value="#{generacionDocLiquidacionAvaluo.fechaOficio}"
                          styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>

            <h:outputLabel value="No. Radicado:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.solicitud.numero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha radicado:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.solicitud.fecha}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.solicitanteSolicitud.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Interventor contrato interadministrativo:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.contratoInteradministrativo.interventor.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="No. Contrato interadministrativo:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.contratoInteradministrativo.numero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Coordinador GIT avalúos:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.coordinadorGITAvaluos.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Profesional control calidad:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionDocLiquidacionAvaluo.usuarioActivo.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Jefe división financiera:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="FIXMEEEE #{generacionDocLiquidacionAvaluo.jefeDivisionFinanciera.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:panelGroup>
                <h:outputLabel value="Anexos:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2" cellspacing="0">
                <h:inputText id="anexos"
                             value="#{generacionDocLiquidacionAvaluo.anexos}" label="Anexos"
                             required="true" />
                <p:message id="anexosError" for="anexos" display="icon" />
            </h:panelGrid>

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable
                value="#{generacionDocLiquidacionAvaluo.avaluosALiquidar}"
                var="avaluo" paginator="true" rows="5"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                {NextPageLink} {LastPageLink}"
                rowsPerPageTemplate="5,10,20" paginatorPosition="bottom"
                emptyMessage="No se encontró información predial asociada">

                <f:facet name="header">Información avalúos a generar costos de servicios</f:facet>

                <p:column headerText="Opciones">
                    <p:commandButton title="Información de los predios del avalúo"
                                     icon="ui-icon-home"
                                     action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                     update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     handleCompleteSIC(xhr, status, args, infoPredialWV, true);"
                                     immediate="true">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Sec_Radicado" sortBy="#{avaluo.secRadicado}">
                    <p:commandLink styleClass="commandLinkStyle"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                   update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                   oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                   value="#{avaluo.secRadicado}" immediate="true">
                        <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                     target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                    </p:commandLink>
                </p:column>

                <p:column headerText="Tipo trámite">
                    <h:outputText value="#{avaluo.tramite.tipoTramite}"
                                  id="AvaluosComercialesTipoTramite-1">
                        <f:converter converterId="converterCB"
                                     for="AvaluosComercialesTipoTramite-1" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Departamento"
                          sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
                    <p:commandLink
                        value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                        rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                        immediate="true">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>
                    <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                  value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />

                </p:column>

                <p:column headerText="Municipio"
                          sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
                    <p:commandLink value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                   rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                                   styleClass="commandLinkStyle"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide();
                                   handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                                   immediate="true">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                        value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}" />
                </p:column>

                <p:column headerText="Nombre profesional">
                    <p:commandLink value="#{avaluo.avaluadores[0].nombreCompleto}"
                                   styleClass="commandLinkStyle"
                                   action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                                   update=":consultarAvaluadoresAsignadosPG"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide();
                                   infoAvaluadoresAsignadosWV.show();"
                                   immediate="true" rendered="#{avaluo.tieneMultiplesAvaluadores}">
                        <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                     target="#{consultarAvaluadoresAsignados.secRadicado}" />
                    </p:commandLink>
                    <h:outputText rendered="#{!avaluo.tieneMultiplesAvaluadores}"
                                  value="#{avaluo.avaluadores[0].nombreCompleto}" />
                </p:column>

                <p:column headerText="Avalúo comercial"
                          sortBy="#{avaluo.avaluoComercial}">
                    <h:outputText value="#{avaluo.avaluoComercial}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Honorarios IGAC"
                          sortBy="#{avaluo.avaluoComercial}">
                    <h:outputText value="#{avaluo.valorHonorariosIGAC}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

            </p:dataTable>

        </h:panelGrid>

        <h:panelGrid cellspacing="7" columns="2">
            <h:outputLabel value="Costo del servicio:"
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{generacionDocLiquidacionAvaluo.costoServicio}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid cellspacing="7" columns="1">

        <p:commandButton value="Generar oficio para financiera"
                         icon="ui-icon-document"
                         action="#{generacionDocLiquidacionAvaluo.generarDocumentoLiquidacionCostos}"
                         update=":generarDocLiquidacionAvaluoForm:msgsGDLCA,
                         :generarDocLiquidacionAvaluoForm:anexosError,
                         :viewMemo:vistaMemoForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, memorandoWV, true);" />

    </h:panelGrid>
</h:form>